msgpack::object::with_zone Struct Reference

`#include <object.hpp>`

Inheritance diagram for msgpack::object::with_zone:

## Public Member Functions

| with_zone (msgpack::zone &z)
Public Member Functions inherited from msgpack::object
bool | is_nil () const
| Cheking nil. More...
template<typename T >
std::enable_if< msgpack::has_as< T >::value, T >::type | as () const
| Get value as T. More...
template<typename T >
std::enable_if<!msgpack::has_as< T >::value, T >::type | as () const
| Get value as T. More...
template<typename T >
msgpack::enable_if< !msgpack::is_array< T >::value &&!msgpack::is_pointer< T >::value, T &>::type | convert (T &v) const
| Convert the object. More...
template<typename T , std::size_t N>
T(& | convert (T(&v)[N]) const)[N]
template<typename T >
msgpack::enable_if< msgpack::is_pointer< T >::value, T >::type | convert (T v) const
| Convert the object (obsolete) More...
template<typename T >
bool | convert_if_not_nil (T &v) const
| Convert the object if not nil. More...
| object ()
| Default constructor. The object is set to nil. More...
| object (const msgpack_object &o)
| Copy constructor. Object is shallow copied. More...
template<typename T >
| object (const T &v)
| Construct object from T. More...
template<typename T >
| object (const T &v, msgpack::zone &z)
| Construct object from T. More...
template<typename T >
| object (const T &v, msgpack::zone *z)
| Construct object from T (obsolete) More...
template<typename T >
object & | operator= (const T &v)
| operator msgpack_object () const
implicit_type | convert () const
| object ()
| object (v1::object const &o)
template<typename T >
| object (const T &v)
| Construct object from T. More...
template<typename T >
| object (const T &v, msgpack::zone &z)
| Construct object from T. More...
template<typename T >
T & | convert (T &v) const
| Convert the object. More...
implicit_type | convert () const

## Public Attributes

msgpack::zone & | zone
Public Attributes inherited from msgpack::object
msgpack::type::object_type | type
union_type | via

## Constructor & Destructor Documentation

## with_zone()

msgpack::object::with_zone::with_zone | ( | msgpack::zone & | z | ) |

inline

## Member Data Documentation

## zone

msgpack::zone& msgpack::object::with_zone::zone

Referenced by msgpack::StdTupleToObjectWithZone< Tuple, N >::convert(), msgpack::MsgpackTupleToObjectWithZone< Tuple, N >::convert(), msgpack::MsgpackTupleToObjectWithZone< Tuple, 1 >::convert(), msgpack::adaptor::object_with_zone< const char * >::operator()(), msgpack::adaptor::object_with_zone< T, Enabler >::operator()(), msgpack::adaptor::object_with_zone< std::vector< bool, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::pair< T1, T2 > >::operator()(), msgpack::adaptor::object_with_zone< std::string >::operator()(), msgpack::adaptor::object_with_zone< std::forward_list< T, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::unordered_set< Key, Hash, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::list< T, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::unordered_map< K, V, Hash, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::array< char, N > >::operator()(), msgpack::adaptor::object_with_zone< std::deque< T, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::array< unsigned char, N > >::operator()(), msgpack::adaptor::object_with_zone< std::set< T, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::vector< T, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::vector< unsigned char, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::vector< char, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::ext >::operator()(), msgpack::adaptor::object_with_zone< type::assoc_vector< K, V, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::array< T, N > >::operator()(), msgpack::adaptor::object_with_zone< std::unordered_multiset< Key, Hash, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< std::unordered_multimap< K, V, Hash, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< T[N]>::operator()(), msgpack::adaptor::object_with_zone< std::tuple< Args... > >::operator()(), msgpack::adaptor::object_with_zone< std::multiset< T, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< char[N]>::operator()(), msgpack::adaptor::object_with_zone< T, typename msgpack::enable_if< detail::is_seq_no_pair_no_tuple< T >::value >::type >::operator()(), msgpack::adaptor::object_with_zone< const char[N]>::operator()(), msgpack::adaptor::object_with_zone< std::map< K, V, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< unsigned char[N]>::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::tuple< Args... > >::operator()(), msgpack::adaptor::object_with_zone< const unsigned char[N]>::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T > >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T[N]> >::operator()(), msgpack::adaptor::object_with_zone< std::multimap< K, V, Compare, Alloc > >::operator()(), msgpack::adaptor::object_with_zone< msgpack::object >::operator()(), and msgpack::adaptor::object_with_zone< type::tuple<> >::operator()().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/object.hpp